xphelloworld(__appmansuffix__)

NAME
xphelloworld - sends a test page to an Xprint printer

SYNOPSIS
xphelloworld
[-printer printernname] [-printargs arg= value [,...]] [-v] [-text text] [-h]

DESCRIPTION
xphelloworld is a utility for Xprint, the printing system for the X Window system. It sends a test page to the specified printer (or the default printer, if none is specified).

OPTIONS

-printer printernname
    printer to use

-printargs arg=value [,...]
    Args:

    tofile=filename

    papersize=paper name

    orientation=orientation

    resolution=DPI

    plex=plex

    title=string

-text text
    Sample text to print. Default is "hello world from X11 print system".

-v  verbose output

-h  print usage

ENVIRONMENT

XPSERVERLIST
    ${XPSERVERLIST} must be set, identifying the available Xprint servers. See Xprint(__miscmansuffix__) for more details.

KNOWN BUGS
The -text option assumes that the text is in ISO8859-1 encoding (the ${LANG} environment variable is not honored in this case). A full list of bugs can be obtained from the Xprint.org bug database (http://xprint.mozdev.org/xprint_bugs.html).

SEE ALSO
Xprint(__miscmansuffix__), X11(__miscmansuffix__), xplsprinters(__appmansuffix__), xpxmhelloworld(__appmansuffix__), xpawhelloworld(__appmansuffix__), xpxthelloworld(__appmansuffix__), xpsimplehelloworld(__appmansuffix__), Xserver(__appmansuffix__), Xprt(__appmansuffix__), libXp(__libmansuffix__), libXprintUtils(__libmansuffix__), libXprintAppUtils(__libmansuffix__), XmPrintShell(__libmansuffix__), XawPrintShell(__libmansuffix__), Xprint FAQ (http://xprint.mozdev.org/docs/Xprint_FAQ.html), Xprint main site (http://xprint.mozdev.org/)